@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

* 
	{
		font-family: sans-serif;
		letter-spacing: 0.4px;
		margin: 0;
		padding: 0;
		box-sizing: border-box;
		-webkit-overflow-scrolling: touch;
	}

body 
	{
		animation: fadeIn 1.5s;
		-webkit-animation: fadeIn 1.5s;
		-moz-animation: fadeIn 1.5s;
		-o-animation: fadeIn 1.5s;
		-ms-animation: fadeIn 1.5s;
		background: #fff;
	}

@keyframes fadeIn 
	{
		0% {opacity:0;}
		100% {opacity:1;}
	}
@-moz-keyframes fadeIn 
	{
		0% {opacity:0;}
		100% {opacity:1;}
	}
@-webkit-keyframes fadeIn 
	{
		0% {opacity:0;}
		100% {opacity:1;}
	}
@-o-keyframes fadeIn 
	{
		0% {opacity:0;}
		100% {opacity:1;}
	}
@-ms-keyframes fadeIn 
	{
		0% {opacity:0;}
		100% {opacity:1;}
	}

body, html 
	{
		height: 100%;
		margin: 0;
	}


/**********************************************************
					Background tablet image
**********************************************************/
.bg 
	{
		height: 100%;
		background-image: url("svg/login-illustration.svg");
		background-position: bottom right;
		background-repeat: no-repeat;
		background-size: 1385px;
		transition: 0.5s cubic-bezier(0.2, 0.8, 0.2, 1.6);
		}

.bg2 
	{
		height: 100%;
		background-image: url("svg/login-illustration.svg");
		background-position: bottom right;
		background-repeat: no-repeat;
		background-size: 1385px;
		transition: 0.5s cubic-bezier(0.2, 0.8, 0.2, 1.6);
		opacity: 0.4;
		}


/**********************************************************
					Login box
**********************************************************/
.login-position 
	{
		width: 600px;
		position: absolute;
		top: 48%;
		left: 34%;
		margin: 0;
		transform: translate(-50%, -50%);
		transition: 0.5s;
	}

.login-wrapper 
	{
		background: transparent;
		border-radius: 12px;
		margin: 20px;
		padding: 55px 65px 35px 65px;
	}


/**********************************************************
					Username and password inputs
**********************************************************/
input 
	{
		background: #fff;
		color: #5D6377;
		font-size: 16px;
		outline-color: #597BBD;
		outline: none;
		border-radius: 3px;
		border: 2px solid #D4E2E7;
		width: 100%;
		margin-top: 3px;
		margin-bottom: 17px;
		padding: 13px;
		box-sizing: border-box;
		 -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
		transition: .2s;
	}

input:focus 
	{
		background: #F7FBFE;
		border: 2px solid #597BBD;
	}

::-webkit-input-placeholder 
	{
		color: #ACB4CA;
	}

:-ms-input-placeholder 
	{
		color: #ACB4CA;
	}

::placeholder 
	{
		color: #ACB4CA;
	}

::-moz-selection 
	{
		background: #DCE8F7;
	}

::selection 
	{
		background: #DCE8F7;
	}
	
input,
textarea,
button,
a 
    {
        -webkit-tap-highlight-color: rgba(0,0,0,0);
    }

.invalid-feedback 
	{
		color: #CD8B8E;
		font-size: 14px;
		text-align: left;
		margin-bottom: 5px;
	}


/**********************************************************
					Login button
**********************************************************/
.btngroup 
	{
		text-align: right;
		margin-top: 10px;
	}

.button 
	{
		background-color: #597BBD;
		color: #fff;
		font-size: 16px;
		text-align: center;
		text-decoration: none;
		border: none;
		outline: none;
		border-radius: 3px;
		width: 76px;
		padding: 13px;
		display: inline-block;
		cursor: pointer;
		transition: 0.2s;
	}

.button:active 
	{
	 	transform: scale(.9);
	}

.button:hover 
	{
		background: #1EA57F;
		transition: 0.2s;
	}

.button:focus 
	{
		background: #1EA57F;
		box-shadow: 0 0 15px #1EA57F;
	}

/*change password buttons*/

.submit-btn 
    {
        background-color: #597BBD;
        color: white;
        font-size: 15px;
        text-align: center;
        outline: none;
        border-radius: 3px;
        border: 2px solid #597BBD;
        text-decoration: none;
        display: inline-block;
        margin: auto;
        margin-top: 10px;
        margin-bottom: 0px;
        padding: 12px 20px 11px 20px;
        cursor: pointer;
        transition: 0.4s;
    }

.submit-btn:active 
    {
        transform: scale(.9);
    }

.submit-btn:focus 
    {
        background: #1EA57F;
        border: 2px solid #1EA57F;
        box-shadow: 0 0 15px #1EA57F;
    }

.submit-btn:hover 
    {
        background: #1EA57F;
        color: #fff;
        border: 2px solid #1EA57F;
        transition: 0.3s;
    }

.cancel-btn 
    {
        background: transparent;
        color: #869CD0;
        border: 2px solid transparent;
    }

.cancel-btn:focus 
    {
        background: #F6F9FD;
        color: #597BBD;
        border: 2px solid #F6F9FD;
        box-shadow: none;
    }

.cancel-btn:hover 
    {
        background: #F6F9FD;
        color: #597BBD;
        border: 2px solid #F6F9FD;
        transition: 0.3s;
    }


/**********************************************************
					Tag line
**********************************************************/
h5 
	{
		color: #597BBD;
		font-family: 'Montserrat', sans-serif;
		font-size: 34px;
		font-weight: normal;
		text-align: center;
	}

h6 
	{
		color: #8CB4DC;
		font-family: 'Montserrat', sans-serif;
		font-size: 14px;
		font-weight: normal;
		text-align: center;
		padding-top: 5px;
		padding-bottom: 20px;
	}

h3 /*change password text*/
	{
		color: #597BBD;
		font-family: 'Montserrat', sans-serif;
		font-size: 20px;
		font-weight: normal;
		text-align: center;
		padding-top: 5px;
		padding-bottom: 20px;
	}


/**********************************************************
					Internet explorer modal w/ chrome, etc.
**********************************************************/
@media screen and (min-width:0\0) {
.modal 
	{
		display: block;
		position: fixed;
		z-index: 1;
		padding-top: 75px;
		left: 0;
		top: 0;
		width: 100%;
		height: 100%;
		overflow: auto;
		background-color: rgb(0,0,0);
		background-color: rgba(0,0,0,0.65);
	}

.modal-content 
	{
		position: relative;
		background-color: #fefefe;
		font-size: 	18px;
		margin: auto;
		padding: 50px;
		border-radius: 7px;
		border-top-right-radius: 10px;
		border-top-left-radius: 10px;
		border: 1px solid #888;
		width: 34%;
	}
}


/*ie 9 and 10*/
@media screen and (min-width:0\0) {
.modal 
	{
		display: block;
		position: fixed;
		z-index: 1;
		padding-top: 75px;
		left: 0;
		top: 0;
		width: 100%;
		height: 100%;
		overflow: auto;
		background-color: rgb(0,0,0);
		background-color: rgba(0,0,0,0.65);
	}

.modal-content 
	{
		position: relative;
		background-color: #fefefe;
		font-size: 	18px;
		margin: auto;
		padding: 50px;
		border-radius: 7px;
		border-top-right-radius: 10px;
		border-top-left-radius: 10px;
		border: 1px solid #888;
		width: 34%;
	}
}

/*ie 10 and above*/
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
.modal 
	{
		display: block;
		position: fixed;
		z-index: 1;
		padding-top: 75px;
		left: 0;
		top: 0;
		width: 100%;
		height: 100%;
		overflow: auto;
		background-color: rgb(0,0,0);
		background-color: rgba(0,0,0,0.65);
	}

.modal-content 
	{
		position: relative;
		background-color: #fefefe;
		font-size: 	18px;
		margin: auto;
		padding: 50px;
		border-radius: 7px;
		border-top-right-radius: 10px;
		border-top-left-radius: 10px;
		border: 1px solid #888;
		width: 34%;
	}
}

/*ie 11 and above*/
_:-ms-fullscreen, :root .ie11up { 
.modal 
	{
		display: block;
		position: fixed;
		z-index: 1;
		padding-top: 75px;
		left: 0;
		top: 0;
		width: 100%;
		height: 100%;
		overflow: auto;
		background-color: rgb(0,0,0);
		background-color: rgba(0,0,0,0.65);
	}

.modal-content 
	{
		position: relative;
		background-color: #fefefe;
		font-size: 	18px;
		margin: auto;
		padding: 50px;
		border-radius: 7px;
		border-top-right-radius: 10px;
		border-top-left-radius: 10px;
		border: 1px solid #888;
		width: 34%;
	}
}

/*Chrome & Safari (any version)*/
@media screen and (-webkit-min-device-pixel-ratio:0) { 
	.modal 
	{
		display: block;
	}
    .modal-content 
	{
		display: none;
	}
}
/*Firefox any version*/
@-moz-document url-prefix() {
	.modal 
	{
		display: block;
	}
    .modal-content 
	{
		display: none;
	}
}
/*edge*/
@supports (-ms-ime-align:auto) {
	.modal 
	{
		display: block;
	}
    .modal-content 
	{
		display: none;
	}
}


/**********************************************************
					Screen size
**********************************************************/
@media only screen and (max-width: 1647px) {
	/*Show wrapper upon making screen smaller to help readability*/
	.login-wrapper {
	background: rgba(255,255,255,0.70);
	box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 0.07), -2px 5px 25px 0 rgba(0, 0, 0, 0.05);
	transform: 0.4s;
	}
}


/**********************************************************
					iPad Landscape
**********************************************************/
@media only screen and (max-width: 1024px) {
			.login-wrapper {
			background: rgba(255,255,255,0.94);
			}
			.bg, .bg2 {
			background-position: 140px 10px;
			background-size: 1130px;
			}
			.login-position {
			width: 500px;
			left: 30%;
			}
}


/**********************************************************
					Windows snap 1/2 screen
**********************************************************/
@media only screen and (max-width: 960px) {
				.bg, .bg2 {
				background-position: 50px 20px;
				background-size: 1350px;
				}
}


/**********************************************************
					iPhoneX sideways
**********************************************************/
@media only screen and (max-width: 860px) {
				/*	body {
					background-image: linear-gradient(#fff, #D0D8EC);
					}*/
					.bg, .bg2 {
					background-size: 1100px;

					background-position: 50px 0px;
					}
					.login-position {
					top: 50%;
					left: 33%;
					}
					.login-wrapper {
					background: rgba(255,255,255,0.96);
					height: 100%;
					margin: 0;
					}
					input {
					font-size: 14px;
					}
					h5 {
					font-size: 27px;
					}
}


/**********************************************************
					iPad Portrait
**********************************************************/
@media only screen and (max-width: 780px) {
						.bg, .bg2 {
						background-position: -140px 10px;
						background-size: 1500px;
						}
						.login-position {
						width: 500px;
						left: 40%;
						}
						.login-wrapper {
						padding: 50px 25px 25px 25px;
						}
}


/**********************************************************
					iPhone
**********************************************************/
@media only screen and (max-width: 600px) {
							body {
							background-image: linear-gradient(white, #D0D8EC);
							}
							.bg, .bg2 {
							background-size: 1180px;
							margin-top: 0px;
							background-position: -270px -10px;
							}
							.login-position {
							width: 100%;
							position: absolute;
							top: 52%;
							left: 50%;
							transform: translate(-50%, -50%);
							}
							.login-wrapper {
							background: rgba(255,255,255,0.95);
							margin: 20px;
							padding: 55px 20px 35px 20px;
							box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 0.12), -2px 5px 25px 0 rgba(0, 0, 0, 0.10);
							}
							.button {
							font-size: 14px;
							padding: 12px 14px;
							}
							input {
							font-size: 14px;
							}
							h5 {
							font-size: 27px;
							}
}